<app-loading *ngIf="isLoading"></app-loading>
<div class="taskbar">
  <label>{{
    'insurance.participationInformation.groupTitle.relative' | translate
  }}</label>
  <mb-button
    *ngIf="objFunction?.create"
    [mbIsDisable]="insId === null"
    mbButtonType="NO_BORDER"
    mbButtonSize="LARGE"
    (click)="showModal(footerTpl, modeEnum.ADD, data)"
    mbButtonText="{{ 'common.button.add' | translate }}"
    mbButtonAvailableStyle="PRIMARY"
  ></mb-button>
</div>

<div class="search__content--group">
  <mb-table
    (changePageNum)="search($event)"
    [isUseTitle]="true"
    [heightTable]="heightTable"
    [tableConfig]="tableConfig"
    [tableData]="tableData"
  ></mb-table>
</div>

<ng-template #actionTpl let-id="id">
  <div class="btn-wrap">
    <mb-button
      *ngIf="objFunction?.edit"
      (click)="showModal(footerTpl, modeEnum.EDIT, id)"
      mbButtonType="ONLY_ICON"
      mbButtonIconType="AWESOME"
      mbPrefixIcon="far fa-pencil-alt"
    ></mb-button>
    <mb-button
      *ngIf="objFunction?.delete"
      (click)="showConfirm(id, $event)"
      mbButtonType="ONLY_ICON"
      mbButtonIconType="AWESOME"
      mbPrefixIcon="fal fa-trash-alt"
    ></mb-button>
  </div>
</ng-template>

<ng-template #footerTpl>
  <mb-button
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'common.button.saveS' | translate }}"
    (click)="modalRef.getContentComponent().save()"
  >
  </mb-button>
  <mb-button
    mbButtonAvailableStyle="BtnCancelHasBorder"
    mbButtonText="{{ 'common.button.cancel' | translate }}"
    (click)="modalRef.destroy()"
  >
  </mb-button>
</ng-template>
